Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 1578 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoScript ssget = 0

 Odpovědět Odpovědět archiv
Autor
MILKA Zobrazit panel
CAD/BIM manager
CAD/BIM manager

Přihlášen: 09.bře.2005
Lokalita: ČR (HK)
Používám:
AIS 2020/WIN10
Stav: Offline
Bodů: 364
Přímý odkaz na tuto zprávu Téma: Script ssget = 0
    Zasláno: 30.srp.2019 v 09:26
Zdravím,

pro automatizaci čištění dxf souborů mám vytvořen script s několika řádky
kde se odmazávají body a některé hladiny např.:

(sssetfirst nil (ssget "_X" '((0 . "POINT"))))
_erase


Může mi někdo poradit, jak se má zapsat, aby "erase" vykonal pouze v případě
že nejaké entity nalezne ? (v opačném by měl script pokračovat na další řádek)

Díky
Milan Schwarz

TMW, a.s.

Dvůr Králové n/L
Zpět nahoru
pavelstyl Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 06.říj.2004
Lokalita: Czech Republic
Používám:
AutoCAD Mech 2016, SE ST8 a NX 10
Stav: Offline
Bodů: 211
Přímý odkaz na tuto zprávu Zasláno: 30.srp.2019 v 10:03
Já používám něco takového
(setq a (ssget "X" (list (cons 0 "POINT") ) ) )
(if a (command "_erase" a ""))
 
Pavel Š.
Zpět nahoru
MILKA Zobrazit panel
CAD/BIM manager
CAD/BIM manager

Přihlášen: 09.bře.2005
Lokalita: ČR (HK)
Používám:
AIS 2020/WIN10
Stav: Offline
Bodů: 364
Přímý odkaz na tuto zprávu Zasláno: 30.srp.2019 v 15:24
Díky, funguje to.

Nemohl by jste mi to samé předhodit pro výběr hladiny ?
něco jako (sssetfirst nil (ssget "_X" '((8 . "název_hladiny"))))


Milan Schwarz

TMW, a.s.

Dvůr Králové n/L
Zpět nahoru
pavelstyl Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 06.říj.2004
Lokalita: Czech Republic
Používám:
AutoCAD Mech 2016, SE ST8 a NX 10
Stav: Offline
Bodů: 211
Přímý odkaz na tuto zprávu Zasláno: 01.zář.2019 v 16:30
To je úplně stejné:
 
(setq a (ssget "X" (list (cons 8 "nejaka_hladina") ) ) )
(if a (command "_erase" a ""))
 
Pavel Š.
Zpět nahoru
MILKA Zobrazit panel
CAD/BIM manager
CAD/BIM manager

Přihlášen: 09.bře.2005
Lokalita: ČR (HK)
Používám:
AIS 2020/WIN10
Stav: Offline
Bodů: 364
Přímý odkaz na tuto zprávu Zasláno: 02.zář.2019 v 08:25
jj díky
Milan Schwarz

TMW, a.s.

Dvůr Králové n/L
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 3846:Chybové hlášení "chyba: chybný řetězec ssget módu"
Tip 3967:Méně známé volby LISP funkce (ssget)
Tip 11178:Výběr objektů v záporné výšce nebo v určitém 3D oktantu.
Tip 11910:Jak vybrat křivky složené z přímých úseků (ssget)?
Tip 6402:Snadný výběr určitého typu textů ve výkresu.
Tip 1948:Jak vytvořit univerzální makro - pro anglickou i českou verzi AutoCADu?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,141 sekund.